MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000614Xdebug(No Category)public2010-09-08 07:512011-08-14 19:02
Reporterrishadomar 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000614: local variables loses class members (used Komodo IDE as client)
DescriptionWhen debugging in Komodo IDE 5, using xdebug (xdebug-2.1.0RC1), the Locals tab shows my the local variables fine. But expanding a class (an I think especially an extended class) then it shows CLASSNAME as a member variable overwriting another member. Also, CLASSNAME appears more than once. Actually, I appreciate the CLASSNAME - very useful, but I also want the other members.

$ php -v
PHP 5.3.2-1ubuntu4.2 with Suhosin-Patch (cli) (built: May 13 2010 20:03:45)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
    with Xdebug v2.1.0, Copyright (c) 2002-2010, by Derick Rethans

Additional InformationA small php file that reproduces bug

<?php

class Base
{
    private $a;
    private $b;
    private $c;
    private $d;
    private $e;
    private $f;
    private $g;
    private $h;
    private $i;
    private $j;
    private $k;
    private $l;
    private $m;
    private $n;
    private $o;
    private $p;
    private $q;
    private $r;
    private $s;
    private $t;
    private $u;
    private $v;
    private $w;
    private $x;
    private $y;
    private $z;
    private $z1; // comment these last few variable out and $z then disappears from member list!
    private $z2;
    private $z3;
    private $z4;
    
    public function __construct()
    {
        $this->i = 99;
        $this->j = 88;
    }
}


class Extension extends Base
{
    private $k;
    private $m;
    private $j;
    
    public function __construct()
    {
        $this->k = 77;
        $this->m = 66;
        $this->j = 55;
    }
}


    $b = new Base();
    $e = new Extension();
    
    echo "Hello World\n";


?>



You can use this php file to replicate. Debug and list the variables $b
and $e. On my more complex code, some members are missing. In fact, in the base
when I don't declare $z1, $z2, $z3 and $z4 then $z is hidden.











$ php -v
PHP 5.3.2-1ubuntu4.2 with Suhosin-Patch (cli) (built: May 13 2010 20:03:45)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
    with Xdebug v2.1.0, Copyright (c) 2002-2010, by Derick Rethans
TagsNo tags attached.
Operating SystemLinux Ubuntu 10.04
PHP Version5.3.2
Attached Files

- Relationships

-  Notes
(0001568)
rishadomar (reporter)
2010-09-08 07:54

This is what the development team at Komodo had to say:

"Chances are low that Komodo is doing anything incorrect here -- Komodo
simply asks PHP/xdebug for information on the current process, and
displays the results in the UI. I noticed that there was one bug
asking for the CLASSNAME of an object (http://bugs.xdebug.org/view.php?id=518 [^]),
but we do that anyway. There's also another bug complaining about
repeated "CLASSNAME" lines:

http://bugs.xdebug.org/view.php?id=551 [^]
"
(0001569)
ericp (reporter)
2010-09-08 17:47

Komodo bug ref: http://bugs.activestate.com/show_bug.cgi?id=87785 [^]
(0001783)
derick (administrator)
2011-08-14 19:02

Fixed for 2.1.2 and 2.2.

- Issue History
Date Modified Username Field Change
2010-09-08 07:51 rishadomar New Issue
2010-09-08 07:51 rishadomar Operating System => Linux Ubuntu 10.04
2010-09-08 07:51 rishadomar PHP Version => 5.3.2
2010-09-08 07:51 rishadomar Xdebug Version => 2.1.0
2010-09-08 07:54 rishadomar Note Added: 0001568
2010-09-08 07:55 rishadomar Tag Attached: png
2010-09-08 07:58 rishadomar Tag Detached: png
2010-09-08 17:47 ericp Note Added: 0001569
2011-06-23 06:14 user1370 Note Added: 0001755
2011-06-23 06:14 user1370 Note Edited: 0001755 View Revisions
2011-06-23 06:14 user1370 Note Edited: 0001755 View Revisions
2011-06-23 08:10 derick Note Deleted: 0001755
2011-08-14 19:02 derick Note Added: 0001783
2011-08-14 19:02 derick Status new => closed
2011-08-14 19:02 derick Assigned To => derick
2011-08-14 19:02 derick Resolution open => fixed
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker